]> git.sur5r.net Git - bacula/bacula/commitdiff
Add missing latest tests
authorKern Sibbald <kern@sibbald.com>
Sat, 2 Aug 2003 20:56:49 +0000 (20:56 +0000)
committerKern Sibbald <kern@sibbald.com>
Sat, 2 Aug 2003 20:56:49 +0000 (20:56 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@661 91ce42f0-d328-0410-95d8-f526ca767f89

regress/tests/bextract-test [new file with mode: 0755]
regress/tests/span-vol-test [new file with mode: 0755]

diff --git a/regress/tests/bextract-test b/regress/tests/bextract-test
new file mode 100755 (executable)
index 0000000..182f6ec
--- /dev/null
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory but 
+#   split the archive into two volumes, then build a BSR with
+#   the restore command and use bextract to restore the files.
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/build" >/tmp/file-list
+bin/bacula stop 2>&1 >/dev/null
+bin/drop_sqlite_tables
+bin/make_sqlite_tables
+
+echo " "
+echo " "
+echo " === Starting bextract-test  ==="
+echo " === Starting bextract-test  ===" >working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@output tmp/log1.out
+label storage=File1
+TestVolume001
+label storage=File1
+TestVolume002
+update Volume=TestVolume001
+6
+3000000
+10
+run job=NightlySave storage=File1
+yes
+wait
+messages
+@# 
+@# now build the bsr file
+@#
+@output tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores current all
+no
+wait
+messages
+@output
+quit
+END_OF_DATA
+bin/bacula stop 2>&1 >/dev/null
+mkdir -p ${cwd}/tmp/bacula-restores
+bin/bextract -b working/restore.bsr -c bin/bacula-sd.conf ${cwd}/tmp ${cwd}/tmp/bacula-restores 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+diff -r build  tmp/bacula-restores${cwd}/build
+if [ $? != 0 -o $bstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! bextract-test Bacula source failed!!! !!!!! "
+   echo "  !!!!! bextract-test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== bextract-test Bacula source OK ===== "
+   echo "  ===== bextract-test OK ===== " >>test.out
+   scripts/cleanup
+fi
diff --git a/regress/tests/span-vol-test b/regress/tests/span-vol-test
new file mode 100755 (executable)
index 0000000..d017fbb
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory but 
+#   split the archive into four volumes, two of which are
+#   totally full. 
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/build" >/tmp/file-list
+bin/bacula stop 2>&1 >/dev/null
+bin/drop_sqlite_tables
+bin/make_sqlite_tables
+
+echo " "
+echo " "
+echo " === Starting span-vol-test  ==="
+echo " === Starting span-vol-test  ===" >working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@output tmp/log1.out
+label storage=File1 volume=TestVolume001
+label storage=File1 volume=TestVolume002
+label storage=File1 volume=TestVolume003
+label storage=File1 volume=TestVolume004
+update Volume=TestVolume001 MaxVolBytes=3000000
+update Volume=TestVolume002 MaxVolBytes=3000000
+update Volume=TestVolume003 MaxVolBytes=3000000
+run job=NightlySave storage=File1 yes
+wait
+list volumes
+messages
+@# 
+@# now do a restore
+@#
+@output tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores current all
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+bin/bacula stop 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+diff -r build  tmp/bacula-restores${cwd}/build
+if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! span-vol-test Bacula source failed!!! !!!!! "
+   echo "  !!!!! span-vol-test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== span-vol-test Bacula source OK ===== "
+   echo "  ===== span-vol-test OK ===== " >>test.out
+   scripts/cleanup
+fi